Bug 961692 - [abrt] evince-3.8.0-2.fc19: g_list_find_custom: Process /usr/bin/evince was killed by signal 11 (SIGSEGV)
[abrt] evince-3.8.0-2.fc19: g_list_find_custom: Process /usr/bin/evince was k...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: evince (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Marek Kašík
Fedora Extras Quality Assurance
abrt_hash:a2f22f8808655feea9c3edb4e31...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-10 05:48 EDT by maneulyori
Modified: 2015-02-17 10:13 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:13:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (36.73 KB, text/plain)
2013-05-10 05:48 EDT, maneulyori
no flags Details
File: cgroup (140 bytes, text/plain)
2013-05-10 05:48 EDT, maneulyori
no flags Details
File: core_backtrace (5.84 KB, text/plain)
2013-05-10 05:48 EDT, maneulyori
no flags Details
File: dso_list (10.83 KB, text/plain)
2013-05-10 05:48 EDT, maneulyori
no flags Details
File: environ (1.88 KB, text/plain)
2013-05-10 05:48 EDT, maneulyori
no flags Details
File: limits (1.29 KB, text/plain)
2013-05-10 05:48 EDT, maneulyori
no flags Details
File: maps (56.97 KB, text/plain)
2013-05-10 05:48 EDT, maneulyori
no flags Details
File: open_fds (1.47 KB, text/plain)
2013-05-10 05:48 EDT, maneulyori
no flags Details
File: proc_pid_status (1.05 KB, text/plain)
2013-05-10 05:48 EDT, maneulyori
no flags Details
File: var_log_messages (643 bytes, text/plain)
2013-05-10 05:48 EDT, maneulyori
no flags Details
pdf mentioned in comment #11 that produces the crash (2.48 MB, application/pdf)
2013-07-03 02:35 EDT, igor.redhat@gmail.com
no flags Details

  None (edit)
Description maneulyori 2013-05-10 05:48:10 EDT
Description of problem:
I think quickly scrolling in document cause this problem.

Version-Release number of selected component:
evince-3.8.0-2.fc19

Additional info:
reporter:       libreport-2.1.4
backtrace_rating: 4
cmdline:        evince /home/maneulyori/Downloads/2013_1_2nd_GenPhy_Exam_Notice.pdf
crash_function: g_list_find_custom
executable:     /usr/bin/evince
kernel:         3.9.1-galadriel
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_list_find_custom at glist.c:787
 #1 ev_history_go_to_link at ev-history.c:241
 #2 ev_history_add_link at ev-history.c:119
 #3 ev_history_add_link_for_page at ev-history.c:356
 #8 ev_document_model_set_page at ev-document-model.c:415
 #9 view_update_range_and_current_page at ev-view.c:745
 #10 on_adjustment_value_changed at ev-view.c:5103
 #15 gtk_adjustment_value_changed at gtkadjustment.c:762
 #16 gtk_range_real_change_value at gtkrange.c:4084
 #17 _gtk_marshal_BOOLEAN__ENUM_DOUBLE at gtkmarshalers.c:442
Comment 1 maneulyori 2013-05-10 05:48:13 EDT
Created attachment 746017 [details]
File: backtrace
Comment 2 maneulyori 2013-05-10 05:48:15 EDT
Created attachment 746019 [details]
File: cgroup
Comment 3 maneulyori 2013-05-10 05:48:18 EDT
Created attachment 746020 [details]
File: core_backtrace
Comment 4 maneulyori 2013-05-10 05:48:20 EDT
Created attachment 746021 [details]
File: dso_list
Comment 5 maneulyori 2013-05-10 05:48:23 EDT
Created attachment 746022 [details]
File: environ
Comment 6 maneulyori 2013-05-10 05:48:25 EDT
Created attachment 746023 [details]
File: limits
Comment 7 maneulyori 2013-05-10 05:48:30 EDT
Created attachment 746024 [details]
File: maps
Comment 8 maneulyori 2013-05-10 05:48:32 EDT
Created attachment 746025 [details]
File: open_fds
Comment 9 maneulyori 2013-05-10 05:48:34 EDT
Created attachment 746026 [details]
File: proc_pid_status
Comment 10 maneulyori 2013-05-10 05:48:37 EDT
Created attachment 746027 [details]
File: var_log_messages
Comment 11 igor.redhat@gmail.com 2013-07-03 02:32:31 EDT
Open attached pdf file; "Ctrl-End" to go to the end; wait until all thumbnails load (takes *forever*); click on the first visible thumbnail (slide 68 in my case) - this is when the crash happens.

reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        evince lecture-knapsack-1.pdf
crash_function: g_list_find_custom
executable:     /usr/bin/evince
kernel:         3.9.8-300.fc19.x86_64
package:        evince-3.8.2-1.fc19
reason:         Process /usr/bin/evince was killed by signal 11 (SIGSEGV)
runlevel:       N 5
uid:            500
xsession_errors:
Comment 12 igor.redhat@gmail.com 2013-07-03 02:35:38 EDT
Created attachment 768095 [details]
pdf mentioned in comment #11 that produces the crash
Comment 13 Fedora End Of Life 2015-01-09 13:06:03 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 Fedora End Of Life 2015-02-17 10:13:09 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.